Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl
Class XMLEntityManager.RewindableInputStream

    java.lang.Object
      java.io.InputStream
          weblogic.apache.xerces.impl.XMLEntityManager.RewindableInputStream

All Implemented Interfaces:
  Closeable

Enclosing class:
  XMLEntityManager

    protected final class XMLEntityManager.RewindableInputStream

extends InputStream

Constructor Summary
`XMLEntityManager.RewindableInputStream(InputStream is)`

Method Summary
`int` | `available()`
`void` | `close()`
`void` | `mark(int howMuch)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`void` | `rewind()`
`void` | `setStartOffset(int offset)`
`long` | `skip(long n)`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEntityManager.RewindableInputStream

    public XMLEntityManager.RewindableInputStream(InputStream is)

Method Detail

### setStartOffset

    public void setStartOffset(int offset)

### rewind

    public void rewind()

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `InputStream`
  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `InputStream`
  Throws:
    `IOException`

### mark

    public void mark(int howMuch)

  Overrides:
    `mark` in class `InputStream`

### reset

    public void reset()

  Overrides:
    `reset` in class `InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `InputStream`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD